body {
    /*override the koji dots background*/
    background-image: none;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}


h4 {
    color: #000000;
    background-color: #fff;
}

h4 a {
    color: var(--bs-link-color);
}

th,
td {
    padding: 5px;
}

td.building {
    color: #cc0;
}

td.complete {
    color: #008000;
}

td.deleted,
td.failed,
td.canceled {
    color: #ff0000;
}

td.false {
    color: #ff0000;
}

td.true {
    color: #008000;
}

td.tree {
    background-color: #fff;
}

.tree span.root {
    font-weight: bold;
    background-color: #fff;
}

.tree span.treeLabel {
    background-color: #fff;
}

.taskfree,
.taskfree:visited,
.taskfree:hover {
    color: var(--bs-cyan);
}

.taskopen,
.taskopen:visited,
.taskopen:hover {
    color: var(--bs-orange);
}

.taskclosed,
.taskclosed:visited,
.taskclosed:hover {
    color: var(--bs-green);
}

.taskcanceled,
.taskcanceled:visited,
.taskcanceled:hover {
    color: var(--bs-yellow);;
}

.taskassigned,
.taskassigned:visited,
.taskassigned:hover {
    color: var(--bs-purple);
}

.taskfailed,
.taskfailed:visited,
.taskfailed:hover {
    color: var(--bs-red);
    background-color: #fff;
}

.sub-header {
    background: #f3f3f3;
    border-bottom: 1px solid #DDD;
    padding-top: 0.5em;
}

.nav-tabs {
    border-bottom: none !important;
}

.stretch-table-column {
    min-width: 99%;
}


/*footer fixed at bottom futzing*/
body {
    position: relative;
    min-height: 100vh;
}

.footer {
    bottom: 0;
    position: absolute;
    width: 100%;
    height: 31rem;
}

.container.main {
    padding-bottom: 33rem;
}
